
export function setCookie(name: string, value: any, daysToLive: number){

    const date = new Date();
    date.setTime(date.getTime() +  (daysToLive * 24 * 60 * 60 * 1000));
    let expires = "expires=" + date.toUTCString();
    document.cookie = `${name}=${value}; ${expires}`

}
export function getCookie(name: string | any[]){

    const cDecoded = decodeURIComponent(document.cookie);
    const cArray = cDecoded.split("; ");
    let result = null;

    cArray.forEach(element => {

        if(element.indexOf(<string>name) == 0){
            result = element.substring(name.length + 1)
        }
    })
    return result;
}
